Subject: Re: [MIB-DOCTORS] Fwd: Request to add to the MIB boilperplate for "writeable objects"

From: Benoit Claise <[email-masked]>
Date: Wed, 09 Jul 2014 17:42:40 +0200

Adrian,

Coming back to this one now that the dust has settled (another way to 
express: sorry for delay)

I make three conclusions from this email thread
1.  There is consensus not to add this text

    The following objects in the MIB modules in this document have write access
    either through read-write or read-create MAX-ACCESS clauses. The level of access
    to these objects have been discussed by the <xxxx> working group and it was
    concluded that write access was beneficial for the following reasons:

    - <list of reasons>

    - <list of objects>

2.  I was wrong in my AD review 
(https://datatracker.ietf.org/doc/draft-ietf-bfd-mib/ballot/#benoit-claise). 

That led to your proposal in point 3.  Apologies for this.

3.  There is consensus not to add this text

    As with all MIB modules, an attempt to SET or CREATE an object to a value that
    is not supported by the implementation will result in a failure using a return
    code that indicates that the value is not supported.

Thanks Adrian for trying to improve the boilerplate.

Regards, Benoit
> Well Juergen, I'm not under-occupied that I spend time concocting text and
> proposing it for boilerplate just to fill a few idle hours!
>
> I quote from Benoit in the thread on draft-ietf-bfd-mib resulting from Bert's
> MIB Doctor review and Benoit's IESG Comment...
>
>    Discussing this matter with Bert Wijnen, a proposal would be to add to
>    the description clause that only valid versions as supported by the
>    implementation can be accepted. Others would return an error.
>
> The discussion went on to ask why this would apply to only one object and not to
> all read-write and read-create objects. My view was that it would be wrong to
> add such a note to the Description clause of just one such object and would be
> better to add a note to the preamble for the whole module. We used wording
> similar to what I suggested for boilerplate.
>
> Now, let me make several observations:
> - MIB doctor reviews are immensely valuable. The work the MIB Doctors
>    do is indispensable and this is not criticism of anyone.
> - IESG Comments are just comments for the consideration of the
>     responsible AD (me in this case) and are not demands for a change to
>     the document.  Such Comments are a really valuable part of the
>     process.
> - Most MIB document authors are not sophisticated MIB gurus. On the
>     whole they are dabbling in majik that is way beyond their powers. Thus,
>     when they receive review comments they will almost always "roll over"
>     and seek to make the change.
> - Most ADs have very little MIB experience and will not push back against
>     suggested changes.
>
> So we have a case here where the majority of voices on this list appear to be
> saying "You don't need to add that sort of statement to the boilerplate because
> it is obvious and already described in general MIB RFCs." Yet the authors and
> responsible AD have been persuaded to add exactly such a statement to this
> document.
>
> FWIW I don't think this statement is in any way harmful, so I don't propose to
> take it out. But, on the other hand, I wish we had a clearer view of what is
> needed and what is not needed. Well, at least I have that view on this issue for
> future documents :-)
>
> Thanks to all for your time.
>
> Adrian
>
>
>> -----Original Message-----
>> From: Juergen Schoenwaelder [mailto:[email-masked]]
>> Sent: 05 June 2014 19:43
>> To: Adrian Farrel
>> Cc: 'Romascanu, Dan (Dan)'; 'Benoit Claise'; 'MIB Doctors (E-mail)'
>> Subject: Re: [MIB-DOCTORS] Fwd: Request to add to the MIB boilperplate for
>> "writeable objects"
>>
>> On Thu, Jun 05, 2014 at 06:08:07PM +0100, Adrian Farrel wrote:
>>> 2. The second point (what happens with SET of an unsupported value) could be
>>> argued to be entirely obvious and well-documented. If that is so, I am happy
> to
>>> not include such text, but I would like to not see discussion of exactly
> this
>>> point in MIB Doctor reviews and AD Comments in the future that cause the
>> authors
>>> to have to add exactly this text to their document!
>>>
>> Has this ever been a real issue?
>>
>> We are adding more and more boilerplate over the years and I am not
>> sure anybody actually reads all this boilerplate. Repeating protocol
>> details in every data model just in case someone does not recall them
>> sounds like the wrong direction to me. I am not convinced that is a
>> general problem that justifies this to be in every MIB modules.
>>
>> /js
>>
>> --
>> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
>> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
>> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> .
>